<template>
    <div>
        <h1>{{ message }}</h1>
        <hr />
        <!-- <h1>{{ name }} {{ position }}</h1>
        <button v-on:click="changeName(45),changePosition('CEO')">Change</button> -->
        <p>Name: {{ name }} </p>
        <p>Password: {{ password }}</p>
        <input type="text" @input="getInput($event,'Zuckerberg')">
        <input type="password" @input="getPassword()">
    </div>
</template>

<script>
    export default {
        name:'HandleView',
        data:() => {
            return{
                name: '',
                message: 'Event Handling',
                position: 'Develper',
                password: '',
            }
        },
        methods:{
            changeName(ageParams){
                this.name = 'Elon Musk' + " age " + ageParams
            },
            changePosition(positionNew){
                this.position = positionNew
            },
            getInput(event,lastName){
                this.name = event.target.value + " " +lastName
                console.log(event)
            },
            getPassword(){
                this.password = event.target.value
            }
        }
    }
</script>

<style lang="scss" scoped>

</style>